Package io.vertx.rxjava3.ext.web.templ.pebble

## Class PebbleTemplateEngine

- java.lang.Object
- - io.vertx.rxjava3.ext.web.common.template.TemplateEngine
  - - io.vertx.rxjava3.ext.web.templ.pebble.PebbleTemplateEngine

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class PebbleTemplateEngine
      extends TemplateEngine
      implements io.vertx.lang.rx.RxDelegate

  A template engine that uses the Pebble library. The `unwrap()` shall return an object of class

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PebbleTemplateEngine>` | `__TYPE_ARG` |
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` | Default template extension

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PebbleTemplateEngine​(PebbleTemplateEngine delegate)` |
    `PebbleTemplateEngine​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PebbleTemplateEngine` | `create​(Vertx vertx)` | Create a template engine using defaults
    `static PebbleTemplateEngine` | `create​(Vertx vertx, io.pebbletemplates.pebble.PebbleEngine engine)` | Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
    `static PebbleTemplateEngine` | `create​(Vertx vertx, String extension)` | Create a template engine using defaults
    `static PebbleTemplateEngine` | `create​(Vertx vertx, String extension, io.pebbletemplates.pebble.PebbleEngine engine)` | Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
    `boolean` | `equals​(Object o)` |
    `PebbleTemplateEngine` | `getDelegate()` |
    `int` | `hashCode()` |
    `static PebbleTemplateEngine` | `newInstance​(PebbleTemplateEngine arg)` |
    `String` | `toString()` |
    `io.pebbletemplates.pebble.PebbleEngine` | `unwrap()` | Returns the underlying engine, so further configurations or customizations may be applied or `null` when the engine cannot unwrap it.

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.common.template.TemplateEngine

      `clearCache, newInstance, render, render, rxRender, rxRender`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PebbleTemplateEngine> __TYPE_ARG

    - #### DEFAULT_TEMPLATE_EXTENSION

          public static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PebbleTemplateEngine

          public PebbleTemplateEngine​(PebbleTemplateEngine delegate)

    - #### PebbleTemplateEngine

          public PebbleTemplateEngine​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TemplateEngine`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `TemplateEngine`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TemplateEngine`

    - #### getDelegate

          public PebbleTemplateEngine getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static PebbleTemplateEngine create​(Vertx vertx)

      Create a template engine using defaults
      Parameters:
        `vertx` -
      Returns:
        the engine

    - #### create

          public static PebbleTemplateEngine create​(Vertx vertx,
                                                    String extension)

      Create a template engine using defaults
      Parameters:
        `vertx` -
        `extension` -
      Returns:
        the engine

    - #### unwrap

          public io.pebbletemplates.pebble.PebbleEngine unwrap()

      Description copied from class: `TemplateEngine`
      Returns the underlying engine, so further configurations or customizations may be applied or `null` when the engine cannot unwrap it.
      Overrides:
        `unwrap` in class `TemplateEngine`
      Returns:
        the engine instance.

    - #### create

          public static PebbleTemplateEngine create​(Vertx vertx,
                                                    io.pebbletemplates.pebble.PebbleEngine engine)

      Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
      Parameters:
        `vertx` -
        `engine` -
      Returns:
        the engine

    - #### create

          public static PebbleTemplateEngine create​(Vertx vertx,
                                                    String extension,
                                                    io.pebbletemplates.pebble.PebbleEngine engine)

      Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
      Parameters:
        `vertx` -
        `extension` -
        `engine` -
      Returns:
        the engine

    - #### newInstance

          public static PebbleTemplateEngine newInstance​(PebbleTemplateEngine arg)